%define name    xstat
%define version 1.1
%define release 3mdk
%define prefix  %{_prefix}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        GTK statistic generator
Group:          Sciences/Mathematics
License:      GPL
URL:            http://upsilon.free.fr/xstat/index.html
Source:         %{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Xstat is a statistics generator using GTK+. It analyses a log file and makes 
a web page with tables and charts. For now, 12 different sorts of statistics 
are availlable but another could be add. Suggestions are welcomed
at : julien.lesouef@free.fr. 

%description -l fr
Xstat est un gnrateur de statistiques utilisant GTK+. Il analyse un fichier
de log et cre une page web incluant des tableaux et des graphiques. Pour 
l'instant, 12 types diffrents de statistiques sont disponibles mais d'autres
peuvent tre ajouts.
Les suggestions sont les bienvenues  : julien.lesouef@free.fr. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%make

%install

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 xstat $RPM_BUILD_ROOT%_bindir/.
install -m 755 statistic $RPM_BUILD_ROOT%_bindir/.

mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}     

install -m 644 icons/%name.xpm $RPM_BUILD_ROOT%{_liconsdir}/.
install -m 644 icons/mini/%name.xpm $RPM_BUILD_ROOT%{_miconsdir}/.

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                 needs="X11" section="Applications/Sciences/Mathematics" title="Xstat" \
                 longtitle="%{summary}" icon="%{name}.xpm"
EOF


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING INSTALL README TODO
%_bindir/%name
%_menudir/*
%_liconsdir/*.xpm
%_miconsdir/*.xpm

%changelog
* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 1.1-3mdk
- rebuild
- added french description

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- rebuild

* Thu Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- new in contribs
